Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.tags
Class BindErrorsTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.springframework.web.servlet.tags.RequestContextAwareTag
              org.springframework.web.servlet.tags.HtmlEscapingAwareTag
                  org.springframework.web.servlet.tags.BindErrorsTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class BindErrorsTag

extends HtmlEscapingAwareTag

JSP tag that evaluates content if there are binding errors for a certain bean. Exports an "errors" variable of type `Errors` for the given bean.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `BindTag`, `Errors`, Serialized Form

Field Summary
`static java.lang.String` | `ERRORS_VARIABLE_NAME`

Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BindErrorsTag()`

Method Summary
`int` | `doEndTag()`
`void` | `doFinally()`
`protected int` | `doStartTagInternal()` Called by doStartTag to perform the actual work.
`Errors` | `getErrors()` Retrieve the Errors instance that this tag is currently bound to.
`java.lang.String` | `getName()` Return the name of the bean that this tag checks.
`void` | `setName(java.lang.String name)` Set the name of the bean that this tag should check.

Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag
`isDefaultHtmlEscape, isHtmlEscape, setHtmlEscape`

Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag
`doCatch, doStartTag, getRequestContext`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERRORS_VARIABLE_NAME

    public static final java.lang.String ERRORS_VARIABLE_NAME

See Also:
  Constant Field Values

Constructor Detail

### BindErrorsTag

    public BindErrorsTag()

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name of the bean that this tag should check.

### getName

    public java.lang.String getName()

  Return the name of the bean that this tag checks.

### doStartTagInternal

    protected final int doStartTagInternal()
                                    throws javax.servlet.ServletException,
                                           javax.servlet.jsp.JspException

  Description copied from class: `RequestContextAwareTag`
  Called by doStartTag to perform the actual work.

  Specified by:
    `doStartTagInternal` in class `RequestContextAwareTag`
  Returns:
    same as TagSupport.doStartTag
  Throws:
    `javax.servlet.ServletException`
    `javax.servlet.jsp.JspException`
  See Also:
    `TagSupport.doStartTag()`

### doEndTag

    public int doEndTag()

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`

### getErrors

    public final Errors getErrors()

  Retrieve the Errors instance that this tag is currently bound to.

  Intended for cooperating nesting tags.

### doFinally

    public void doFinally()

  Specified by:
    `doFinally` in interface `javax.servlet.jsp.tagext.TryCatchFinally`
  Overrides:
    `doFinally` in class `RequestContextAwareTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD